Xfce Forum

Sub domains
 

You are not logged in.

#1 2012-03-27 21:32:44

wa7qzr
Member
Registered: 2010-03-30
Posts: 8

[Solved] What was v4.8 developed on?

Just curious as to what 4.8 was developed on as xfconf won't build on Mandriva-2010.2

Offline

#2 2012-03-27 23:17:57

wa7qzr
Member
Registered: 2010-03-30
Posts: 8

Re: [Solved] What was v4.8 developed on?

This is the error produced when trying to build xfconf-4.8.1

top_builddir=".." /usr/bin/perl5 Makefile.PL PREFIX="/usr"
Loaded 3 xs files from xs_files
WARNING: Setting ABSTRACT via file 'Xfconf.pm' failed
at /usr/lib/perl5/5.10.1/ExtUtils/MakeMaker.pm line 583
Unrecognized argument in LIBS ignored: '-pthread'
Writing Makefile.perl for Xfce4::Xfconf
make -f Makefile.perl
make[4]: Entering directory `/userFiles/UserDownloads/mikem/Installed/xfce4-src/xfconf-4.8.1/xfconf-perl'
cp build/IFiles.pm blib/arch/Xfce4/Xfconf/Install/Files.pm
cp /userFiles/UserDownloads/mikem/Installed/xfce4-src/xfconf-4.8.1/xfconf-perl/build/xfconfperl.typemap blib/arch/Xfce4/Xfconf/Install/xfconfperl.typemap
cp xfconfperl.h blib/arch/Xfce4/Xfconf/Install/xfconfperl.h
cp Xfconf.pm blib/lib/Xfce4/Xfconf.pm
cp build/xfconfperl-autogen.h blib/arch/Xfce4/Xfconf/Install/xfconfperl-autogen.h
[ XS xs/Xfconf.xs ]
make[4]: *** No rule to make target `/usr/lib/perl5/5.10.1/i386-linux-thread-multi/CORE/INTERN.h', needed by `xs/Xfconf.o'.  Stop.

Offline

#3 2012-03-28 10:38:02

Nick
Dev
From: ~
Registered: 2005-02-17
Posts: 1,143
Website

Re: [Solved] What was v4.8 developed on?

Well that is more like a problem in your distro, but xfconf works fine without perl bindings, so run configure with --disable-perl-bindings.

Offline

#4 2012-03-28 18:16:49

wa7qzr
Member
Registered: 2010-03-30
Posts: 8

Re: [Solved] What was v4.8 developed on?

Thanks, Nick. xfconf compiles okay now.

Now, thunar-tpa aborts with what looks like maybe a typo in my source or a compiler issue.

I'm using gcc v4.4.3

thunar-tpa.c:55: error: expected ')' before '*' token
thunar-tpa.c:102: error: expected specifier-qualifier-list before 'XfcePanelPluginClass'
thunar-tpa.c:107: error: field '__parent__' has incomplete type
thunar-tpa.c:135: error: expected declaration specifiers or '...' before 'thunar_tpa'
thunar-tpa.c: In function 'XFCE_PANEL_DEFINE_PLUGIN':
thunar-tpa.c:141: error: expected '=', ',', ';', 'asm' or '__attribute__' before '{' token
[above repeated 17-times]
thunar-tpa.c:135: error: parameter name omitted
thunar-tpa.c:564: error: expected %<{%> at end of input

[edit]

At this point, Thundar, mentioned above, xfce4-settings, here:

xfce-keyboard-settings.c: In function ‘_xfce_keyboard_settings_load_shortcut’:
xfce-keyboard-settings.c:502: error: ‘XfceShortcut’ has no member named ‘snotify’
xfce-keyboard-settings.c: In function ‘xfce_keyboard_settings_edit_shortcut’:
xfce-keyboard-settings.c:572: error: too many arguments to function ‘xfce_shortcuts_provider_set_shortcut’
xfce-keyboard-settings.c: In function ‘xfce_keyboard_settings_edit_command’:
xfce-keyboard-settings.c:634: error: too many arguments to function ‘xfce_shortcuts_provider_set_shortcut’
xfce-keyboard-settings.c: In function ‘xfce_keyboard_settings_shortcut_added’:
xfce-keyboard-settings.c:775: error: ‘XfceShortcut’ has no member named ‘snotify’
xfce-keyboard-settings.c: In function ‘xfce_keyboard_settings_add_button_clicked’:
xfce-keyboard-settings.c:883: error: too many arguments to function ‘xfce_shortcuts_provider_set_shortcut’

and xfwm4, here:

xfwm4-settings.c: In function ‘xfwm_settings_shortcut_row_activated’:
xfwm4-settings.c:2014: error: too many arguments to function ‘xfce_shortcuts_provider_set_shortcut’

abort compilation.

The desktop "runs" in spite of these problems, but there's no panel.

I suspect these are all related.

[edit 2]
Ref. thunar above, by disabling the trash panel applet, --disable-tpa-plugin, compilation succeeded.
The remaining issues still exist.

Any ideas would be appreciated.

Thanks,
Mike

Last edited by wa7qzr (2012-03-28 18:57:29)

Offline

#5 2012-03-28 19:53:23

Nick
Dev
From: ~
Registered: 2005-02-17
Posts: 1,143
Website

Re: [Solved] What was v4.8 developed on?

It looks like you have old versions of libraries on your system.

Offline

#6 2012-03-29 17:33:04

wa7qzr
Member
Registered: 2010-03-30
Posts: 8

Re: [Solved] What was v4.8 developed on?

That was the problem and rather than try and upgrade them individually, with fear and trepidation in my heart, and with shaking hands, I downloaded and installed the on-line upgrade program for Mageia-1, and ran it. I purports to take one from Mandrivia-2010.2 to Mageia-1.

It works. It took 12-hours to complete, but it worked. The only Linux upgrade I've ever tried that didn't eventually, because of trashing everything, become a fresh install.

Mageia-1 includes Xfce4-4.8, so my issue is solved.

Thanks for reading, everyone, and to Nick for his advice. Oh, it still look the same, too.

Offline

Board footer

Powered by FluxBB